View Issue Details

This bug affects 3 person(s).
 22
IDProjectCategoryView StatusLast Update
18035Bug reportsConditionspublic2022-05-02 10:33
Reportergalads Assigned ToDenisChenu  
PriorityurgentSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.2.x 
Fixed in Version5.3.x 
Summary18035: Conditions does not work for all in one surveys
Description

When you have multiple groups e.g grp1, grp2, grp3
Then you set conditions for grp2 using some questions from grp1, i.e. redirect from grp1, question 2 => grp 2 question 1, it does not work when the survey is set to All-in-one.

This will only work when all questions are in the same group.

A cloud user reported this issue started to occur between 8 and 8:30 am
Eastern Standard Time (4th April, 2022)

TagsNo tags attached.
Bug heat22
Complete LimeSurvey version number (& build)All
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

galads

galads

2022-04-14 12:17

administrator   ~69069

This is urgent, it is affecting a lot of users.

gabrieljenik

gabrieljenik

2022-04-14 14:45

manager   ~69077

Last edited: 2022-04-14 14:48

Also, "redirect from grp1, question 2 => grp 2 question 1", what does it mean?
I always thought conditions get questions hidden. There is no redirection.

I still think I was able to reproduce the issue (thinking about hiding, not redirecting)

Do you have a sample LSS?

gabrieljenik

gabrieljenik

2022-04-14 14:48

manager   ~69078

limesurvey_survey_866163.lss (23,040 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>485</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <conditions>
  <fields>
   <fieldname>cid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>cqid</fieldname>
   <fieldname>cfieldname</fieldname>
   <fieldname>method</fieldname>
   <fieldname>value</fieldname>
   <fieldname>scenario</fieldname>
  </fields>
  <rows>
   <row>
    <cid><![CDATA[38]]></cid>
    <qid><![CDATA[2236]]></qid>
    <cqid><![CDATA[2235]]></cqid>
    <cfieldname><![CDATA[866163X79X2235]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[F]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
  </rows>
 </conditions>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[79]]></gid>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <gid><![CDATA[80]]></gid>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[2845]]></id>
    <gid><![CDATA[79]]></gid>
    <group_name><![CDATA[My first question group]]></group_name>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <id><![CDATA[2846]]></id>
    <gid><![CDATA[80]]></gid>
    <group_name><![CDATA[Group 2]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2235]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[866163]]></sid>
    <gid><![CDATA[79]]></gid>
    <type><![CDATA[G]]></type>
    <title><![CDATA[Q00]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[gender]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[866163]]></sid>
    <gid><![CDATA[80]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[G02Q02]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((Q00.NAOK == "F"))]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[2776]]></id>
    <qid><![CDATA[2235]]></qid>
    <question><![CDATA[A first example question. Please answer this question:]]></question>
    <help><![CDATA[This is a question help text.]]></help>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
   <row>
    <id><![CDATA[2777]]></id>
    <qid><![CDATA[2236]]></qid>
    <question/>
    <help/>
    <language><![CDATA[en]]></language>
    <script/>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[display_type]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2235]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[display_rows]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_action]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_countdown_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_disable_next]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_disable_prev]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_message_delay]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_message_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_timer_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_2]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_2_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_2_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_2_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2236]]></qid>
    <attribute><![CDATA[time_limit_warning_style]]></attribute>
    <value/>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
   <fieldname>ipanonymize</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[866163]]></sid>
    <gsid><![CDATA[169]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[A]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
    <ipanonymize><![CDATA[I]]></ipanonymize>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[866163]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Test 18035]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>866163</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>866163</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <brandlogofile>themes/survey/bootswatch/files/logo.png</brandlogofile>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_866163.lss (23,040 bytes)   
gabrieljenik

gabrieljenik

2022-04-14 18:33

manager   ~69080

@DenisChenu I am sorry to say this seems to be working fine before #17966.

On InitGroupRelevanceInfo(), custom entries are set with qid = 0.
https://github.com/LimeSurvey/LimeSurvey/pull/2315/files#diff-fa8d35264aa59c85d37ca2d1756472996499f06fb346865594378102f5f7abc0R6751

We believe that maybe bothering here.
https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/expressions/em_manager_helper.php#L7064

Maybe we should put a filter around that area as to only process entries qid != 0?

DenisChenu

DenisChenu

2022-04-14 21:03

developer   ~69087

@gabrieljenik : i think InitGroupRelevanceInfo happen X times for survey mode.
It must happen only one time …

We need a qid=0 , when construct the function if we don't have a relevanceInfo related to qid=0, function is not created.

But : here : i think we create X time … we need it only at start of survey :'qid' => 0, and 'gseq' => 0; // $LEM->currentGroupSeq == 0 in allinone

DenisChenu

DenisChenu

2022-04-14 21:04

developer   ~69088

https://github.com/Shnoulle/LimeSurvey-Shnoulle/blob/1b3fa0255eaf8ba1c5d75dc1e06c69e490a69423/application/helpers/expressions/em_manager_helper.php#L6793

Must not happen for each group in allinone mode.

Can you check like this ?

DenisChenu

DenisChenu

2022-04-15 00:09

developer   ~69089

Important part are have a LEMrel0(sgqa) here https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/helpers/expressions/em_manager_helper.php#L7412

But it seems in allinone we have more than needed LEMrel0(sgqa)
Adding {Q00.NAOK} to group title

Sorry : we need only once …

Myab must init $pageRelevanceInfo here only https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/helpers/expressions/em_manager_helper.php#L6975

Because it's filled by groupRelevanceInfo
Here : https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/helpers/expressions/em_manager_helper.php#L6812
and here : https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/helpers/expressions/em_manager_helper.php#L6886

DenisChenu

DenisChenu

2022-04-15 00:10

developer   ~69090

limesurvey_survey_866163-groupupdate.lss (38,130 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>485</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <conditions>
  <fields>
   <fieldname>cid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>cqid</fieldname>
   <fieldname>cfieldname</fieldname>
   <fieldname>method</fieldname>
   <fieldname>value</fieldname>
   <fieldname>scenario</fieldname>
  </fields>
  <rows>
   <row>
    <cid><![CDATA[104]]></cid>
    <qid><![CDATA[2361]]></qid>
    <cqid><![CDATA[2360]]></cqid>
    <cfieldname><![CDATA[866163X198X2360]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[F]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
  </rows>
 </conditions>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[198]]></gid>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <gid><![CDATA[199]]></gid>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[260]]></id>
    <gid><![CDATA[198]]></gid>
    <group_name><![CDATA[My first question group {Q00.NAOK}]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <id><![CDATA[261]]></id>
    <gid><![CDATA[199]]></gid>
    <group_name><![CDATA[Group 2]]></group_name>
    <description/>
    <language><![CDATA[en]]></language>
    <sid><![CDATA[866163]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2360]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[866163]]></sid>
    <gid><![CDATA[198]]></gid>
    <type><![CDATA[G]]></type>
    <title><![CDATA[Q00]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[gender]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[866163]]></sid>
    <gid><![CDATA[199]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[G02Q02]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((Q00.NAOK == "F"))]]></relevance>
    <modulename/>
    <question_theme_name><![CDATA[longfreetext]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[3792]]></id>
    <qid><![CDATA[2360]]></qid>
    <question><![CDATA[A first example question. Please answer this question:]]></question>
    <help><![CDATA[This is a question help text.]]></help>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[3793]]></id>
    <qid><![CDATA[2361]]></qid>
    <question/>
    <help/>
    <script/>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[display_type]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2360]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[display_rows]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[input_size]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[maximum_chars]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[text_input_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_action]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_countdown_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_disable_next]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_disable_prev]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_message_delay]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_message_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_timer_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_2]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_2_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_2_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_2_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_message]]></attribute>
    <value/>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <qid><![CDATA[2361]]></qid>
    <attribute><![CDATA[time_limit_warning_style]]></attribute>
    <value/>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[866163]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[A]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <ipanonymize><![CDATA[I]]></ipanonymize>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[866163]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[Test 18035]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Dear {FIRSTNAME},<br />
<br />
you have been invited to participate in a survey.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}<br />
<br />
If you are blacklisted but want to participate in this survey and want to receive invitations please click the following link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Dear {FIRSTNAME},<br />
<br />
Recently we invited you to participate in a survey.<br />
<br />
We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part.<br />
<br />
The survey is titled:<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
To participate, please click on the link below.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Click here to do the survey:<br />
{SURVEYURL}<br />
<br />
If you do not want to participate in this survey and don't want to receive any more invitations please click the following link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Survey registration confirmation]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Dear {FIRSTNAME},<br />
<br />
You, or someone using your email address, have registered to participate in an online survey titled {SURVEYNAME}.<br />
<br />
To complete this survey, click on the following URL:<br />
<br />
{SURVEYURL}<br />
<br />
If you have any questions about this survey, or if you did not register to participate and believe this email is in error, please contact {ADMINNAME} at {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Dear {FIRSTNAME},<br />
<br />
this email is to confirm that you have completed the survey titled {SURVEYNAME} and your response has been saved. Thank you for participating.<br />
<br />
If you have any further questions about this email, please contact {ADMINNAME} on {ADMINEMAIL}.<br />
<br />
Sincerely,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[9]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Response submission for survey {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Response submission for survey {SURVEYNAME} with results]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hello,<br />
<br />
A new response was submitted for your survey '{SURVEYNAME}'.<br />
<br />
Click the following link to see the individual response:<br />
{VIEWRESPONSEURL}<br />
<br />
Click the following link to edit the individual response:<br />
{EDITRESPONSEURL}<br />
<br />
View statistics by clicking here:<br />
{STATISTICSURL}<br />
<br />
<br />
The following answers were given by the participant:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>866163</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
  <theme>
   <sid>866163</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>866163</sid>
   <template_name>bootswatch</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>image::theme::files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
     <dangercolor>off</dangercolor>
     <descriptiondisplay>welcome</descriptiondisplay>
    </options>
   </config>
  </theme>
  <theme>
   <sid>866163</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>image::theme::files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
     <dangercolor>off</dangercolor>
     <descriptiondisplay>welcome</descriptiondisplay>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
DenisChenu

DenisChenu

2022-04-15 08:02

developer   ~69091

Move from groupRelevanceInfo to pageRelevanceInfo ?

At 1st step it's what i try to do, but since "step" is inside questionInfo, i use groupRelevanceInfo …
Think i/you must move at end of pageRelevanceInfo system.

  1. delete private static function InitGroupRelevanceInfo() and all call
  2. in function GetRelevanceAndTailoringJavaScript, add an array or relevanceInfo with qid=0 and currentstep : https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/helpers/expressions/em_manager_helper.php#L6988

I have lot of work to do today, but i make a try.

DenisChenu

DenisChenu

2022-04-16 15:41

developer   ~69099

  1. There are 2 times the new array : it's an issue

BUT

  1. this issue don't seems to broke function happen

Adding $(document).on('relevance:on', function(e) {
console.warn( e );
});
$(document).on('relevance:off', function(e) {
console.warn( e );
});

to theme

DenisChenu

DenisChenu

2022-04-16 15:54

developer   ~69100

Ok : question is shown but not the group …

Peek 16-04-2022 15-54.gif (111,479 bytes)
DenisChenu

DenisChenu

2022-04-16 16:04

developer   ~69101

Lack of this :
if (($('#relevance2361').val()=='1')) {
$('#group-1').trigger('relevance:on');
if ($('#relevanceG1').val()=='0') { relChangeG1=true; }
$('#relevanceG1').val(1);
}
else {
$('#group-1').trigger('relevance:off');
if ($('#relevanceG1').val()=='1') { relChangeG1=true; }
$('#relevanceG1').val(0);
}

DenisChenu

DenisChenu

2022-04-16 16:13

developer   ~69102

The "not related to question relevance" must not apply to group relevance …

gabrieljenik

gabrieljenik

2022-04-18 16:06

manager   ~69104

I am sorry. I dont have so much context of the EM, so withouth going deep on it, can't follow or reply back your comments.

Why not reverting #17966 and then rethink the whole situation again.
With more time to think, experiment and test.

DenisChenu

DenisChenu

2022-04-18 19:37

developer   ~69105

Why not reverting 17966 and then rethink the whole situation again.

Because i found the origin of the issue …
We have a $GalwaysRelevant array to check if a group is always relevent, used only on all in one survey
https://github.com/LimeSurvey/LimeSurvey/blob/5f04a0e816e6bf964492baa758c0907792733a51/application/helpers/expressions/em_manager_helper.php#L6975
We set this to true if question didn't have a relevance set
https://github.com/LimeSurvey/LimeSurvey/blob/5f04a0e816e6bf964492baa758c0907792733a51/application/helpers/expressions/em_manager_helper.php#L7041
And we set to true if result of relevance is set too true too (except with equation)
https://github.com/LimeSurvey/LimeSurvey/blob/5f04a0e816e6bf964492baa758c0907792733a51/application/helpers/expressions/em_manager_helper.php#L7335

Then : just check if qid is set added to this test fix the issue.

PS : i think we can add a processStringFoQid($qid)
in twig function
https://github.com/LimeSurvey/LimeSurvey/blob/c87e94b6590e4b4b064e5c6f1601140d7d639cca/application/core/LS_Twig_Extension.php#L520
but we need to check if qid is the current surveyid.

gabrieljenik

gabrieljenik

2022-04-18 20:36

manager   ~69109

Why not reverting 17966 and then rethink the whole situation again.
Because i found the origin of the issue …

Yes, but wouldn't it be more ordered to revert, bring stability back and then apply the new solution?

DenisChenu

DenisChenu

2022-04-18 23:51

developer   ~69113

There are not more stability before …

Before fix : function ProcessStepString apply to MAYBE the last qid on the group (but it can be any qid if you use it in plugin (beforeQuestionrender for example). Then you can have different result in (for example) beforeSurveyPage, beforeQuestionRender and beforeTwigRenderTemplate
After fix : function ProcessStepString without any qid, at any step. Just the current step.

I think we need a ProcessStringWithQid but not to fix any issue, just to improve javascript done.
Currently we do some uneeded JS

gabrieljenik

gabrieljenik

2022-04-19 13:41

manager   ~69121

Last edited: 2022-04-19 13:41

There are not more stability before …

I say stability as I believe the errors appearing before the fix were less problematic, less spreaded and more contained.

Just that. I will let you do your magic :)

c_schmitz

c_schmitz

2022-04-20 16:50

administrator   ~69139

Here is another test survey. The 3rd question never shows up, unless you click on 'submit'.
This is really urgent.

condition_bug.lss (52,208 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>366</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <conditions>
  <fields>
   <fieldname>cid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>cqid</fieldname>
   <fieldname>cfieldname</fieldname>
   <fieldname>method</fieldname>
   <fieldname>value</fieldname>
   <fieldname>scenario</fieldname>
  </fields>
  <rows>
   <row>
    <cid><![CDATA[127232]]></cid>
    <qid><![CDATA[11532]]></qid>
    <cqid><![CDATA[11552]]></cqid>
    <cfieldname><![CDATA[456163X958X11552]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[N]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
   <row>
    <cid><![CDATA[127233]]></cid>
    <qid><![CDATA[11532]]></qid>
    <cqid><![CDATA[11552]]></cqid>
    <cfieldname><![CDATA[456163X958X11552]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[Y]]></value>
    <scenario><![CDATA[2]]></scenario>
   </row>
   <row>
    <cid><![CDATA[127234]]></cid>
    <qid><![CDATA[11532]]></qid>
    <cqid><![CDATA[11553]]></cqid>
    <cfieldname><![CDATA[456163X958X11553]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[N]]></value>
    <scenario><![CDATA[2]]></scenario>
   </row>
   <row>
    <cid><![CDATA[127256]]></cid>
    <qid><![CDATA[11553]]></qid>
    <cqid><![CDATA[11552]]></cqid>
    <cfieldname><![CDATA[456163X958X11552]]></cfieldname>
    <method><![CDATA[==]]></method>
    <value><![CDATA[Y]]></value>
    <scenario><![CDATA[1]]></scenario>
   </row>
  </rows>
 </conditions>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[953]]></gid>
    <sid><![CDATA[456163]]></sid>
    <group_name><![CDATA[NHS, Health & Social Care: Facilities, Staff & Patients (I)]]></group_name>
    <group_order><![CDATA[2]]></group_order>
    <description/>
    <language><![CDATA[en]]></language>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <gid><![CDATA[958]]></gid>
    <sid><![CDATA[456163]]></sid>
    <group_name><![CDATA[Existing Ethics, Sponsorship & Responsibility]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[en]]></language>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[11532]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[456163]]></sid>
    <gid><![CDATA[953]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[E1]]></title>
    <question><![CDATA[Will the study involve participants recruited by virtue of being NHS patients or service users, their dependents, their carers or human tissues or the use of NHS & Health/Social Care Facilities or otherwise require REC approval? ]]></question>
    <preg/>
    <help><![CDATA[<p>If you are unsure please tick YES. You will then be presented with a range of sub-areas the University considers higher risk. Please select any which are relevant.</p>

<p>For further guidance, please see <a href="https://www.ncl.ac.uk/research/researchgovernance/ethics/ethicstoolkit/toolkitnhssocialcare/" target="_blank">Ethics Toolkit - NHS & Social Care</a></p>
]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[0]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((456163X958X11552.NAOK == "N")) or ((456163X958X11552.NAOK == "Y") and (456163X958X11553.NAOK == "N"))]]></relevance>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[11552]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[456163]]></sid>
    <gid><![CDATA[958]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[C1]]></title>
    <question><![CDATA[Has ethical approval to cover this proposal already been obtained?]]></question>
    <preg/>
    <help><![CDATA[<a href="https://www.ncl.ac.uk/research/researchgovernance/ethics/ethicstoolkit/externalethicalapproval/" target="_blank">Link to External Ethical Approval in Ethics Toolkit</a>]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[11553]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[456163]]></sid>
    <gid><![CDATA[958]]></gid>
    <type><![CDATA[Y]]></type>
    <title><![CDATA[C2]]></title>
    <question><![CDATA[Has your faculty ethics representative agreed to accept the existing approval in lieu of a new application? You will be required to provide evidence of this.]]></question>
    <preg/>
    <help><![CDATA[The University will (ordinarily) accept approvals from other organisations where they are known partners (e.g. NHS trusts or other UK Higher Education Institutions) and where the approval covers all the project work including any taking place at Newcastle.]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[Y]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[en]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[((456163X958X11552.NAOK == "Y"))]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>showdatapolicybutton</fieldname>
   <fieldname>showlegalnoticebutton</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[456163]]></sid>
    <admin><![CDATA[Policy & Information Team, Newcastle University]]></admin>
    <adminemail><![CDATA[res.policy@ncl.ac.uk]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[A]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[fruity]]></template>
    <language><![CDATA[en]]></language>
    <additional_languages/>
    <datestamp><![CDATA[Y]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[Y]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[22]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[Y]]></allowprev>
    <printanswers><![CDATA[Y]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[Y]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[D]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[res.policy@ncl.ac.uk]]></bounce_email>
    <emailresponseto><![CDATA[{INSERTANS:296746X941X11321};{INSERTANS:296746X941X11322};{INSERTANS:296746X941X11323};{INSERTANS:296746X941X11324};{INSERTANS:296746X941X11324};{INSERTANS:296746X941X11325};{INSERTANS:296746X941X11484}]]></emailresponseto>
    <emailnotificationto><![CDATA[{INSERTANS:296746X922X11258};{INSERTANS:296746X922X11259};res.policy@ncl.ac.uk]]></emailnotificationto>
    <tokenlength><![CDATA[6]]></tokenlength>
    <showxquestions><![CDATA[N]]></showxquestions>
    <showgroupinfo><![CDATA[X]]></showgroupinfo>
    <shownoanswer><![CDATA[Y]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[Y]]></alloweditaftercompletion>
    <googleanalyticsstyle><![CDATA[1]]></googleanalyticsstyle>
    <googleanalyticsapikey/>
    <questionindex><![CDATA[0]]></questionindex>
    <gsid><![CDATA[1]]></gsid>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <showdatapolicybutton><![CDATA[0]]></showdatapolicybutton>
    <showlegalnoticebutton><![CDATA[0]]></showlegalnoticebutton>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_legal_notice</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[456163]]></surveyls_survey_id>
    <surveyls_language><![CDATA[en]]></surveyls_language>
    <surveyls_title><![CDATA[test]]></surveyls_title>
    <surveyls_description><![CDATA[<p style="text-align: justify;"><span style="font-size:20px;"><span style="line-height:107%"><span style="font-family:Calibri,sans-serif"><strong><span style="background:white"><span style="font-family:&quot;Arial&quot;,sans-serif"><span style="color:#c0392b">In order to limit the spread of COVID-19, any research projects which include direct contact with human participants must adhere to local physical distancing guidelines and the restrictions imposed by the government of the country in which the research is being undertaken.</span></span></span></strong></span></span></span></p>

<p style="text-align: justify;"> </p>

<p style="text-align: justify;"><span style="font-size:16px;">Newcastle University requires that this online ethics form is completed for all projects before any work begins. This includes research, consultancy, and teaching projects, whether the principal investigator is a student or staff member, and whether the project is funded or unfunded. Additional information and guidance can be found on the <a href="https://www.ncl.ac.uk/research/researchgovernance/ethics/" target="_blank">University Ethics Web Pages</a>.</span></p>

<p style="text-align: justify;"><span style="font-size:16px;">The online ethics form aims to help the principal investigator identify whether the project is considered high risk by Newcastle University and will require formal ethics review by a Research Ethics Committee.</span></p>

<p style="text-align: justify;"><span style="font-size:16px;"><strong>This online ethics form must be completed as accurately as possible, but acts only as a guide to facilitate the ethics management process. Ultimately the principal investigator is responsible for ensuring their research satisfies Newcastle University's ethical expectations and has been subject to the appropriate level of ethical review.</strong> If the principal investigator thinks that the form has incorrectly identified their project as low risk, they should contact <a href="https://mailto:res.policy@ncl.ac.uk" target="_blank">res.policy@ncl.ac.uk</a> before commencing any project work.</span></p>

<p style="text-align: justify;"><span style="font-size:16px;">You can save your answers and come back to the form (provided it has not been submitted) by clicking on the 'Resume later' button at the top of the page and completing the password fields. To return to the form, click the 'Load unfinished survey' button at the bottom of the page. Once a form has been submitted, it is not possible to return to the form.</span></p>

<p style="text-align: justify;"> </p>
]]></surveyls_description>
    <surveyls_welcometext><![CDATA[<div class="survey-welcome">
<p style="text-align: justify;"><u>Please read before completing the form</u></p>

<p style="text-align: justify;">This form combines the University's previously separate preliminary ethics form and full ethics form. This has been done to reduce duplication and to ensure that only relevant information is collected. The time the form takes to complete will vary from project to project. If your project involves no high-risk areas and you have the information/supporting documents to hand you should be able to complete it in 10-15 minutes. However, for more complex projects i.e. which are high risk or where you must develop supplementary documents, it will take significantly longer. Please note that you are able to save the application and come back to it at any time. </p>

<p style="text-align: justify;"><u>Part One - Flagging High-Risk Areas</u></p>

<p style="text-align: justify;">The first part of this form is designed to identify high-risk areas in your research project. There are six main areas; 'Animals', 'NHS, Health and Social Care', 'Human Participants in a Non-clinical Setting', 'Data', 'Environment' and 'International'. All the sections begin with a trigger question to determine whether the sub-questions are relevant to your project. Your answer to the trigger question does not itself flag the project as high risk, this only happens if you subsequently answer yes to any of the sub-questions (which you do not have to do to progress). If you are unsure of whether to answer yes or no, then it is best to seek further advice from the Research Office (<a href="mailto:res.policy@ncl.ac.uk">res.policy@ncl.ac.uk</a>), Faculty Ethics Representative or from your School, Institute or Programme Leader.</p>

<p style="text-align: justify;"><u>Part Two - Providing Further Information on High-Risk Areas</u></p>

<p style="text-align: justify;">If your project is recognised as high risk AND the relevant approval body is a University Committee (this is the case for all risk areas except the NHS) then you will be asked to provide further information. Again you will only be asked to complete the relevant sections.</p>

<p style="text-align: justify;">As you progress through the application you will be asked to upload all the relevant supporting documents e.g. consent forms, information sheets, risk assessments, questionnaires, protocols, etc. </p>

<p style="text-align: justify;">Following the completion of the form, you will receive an email confirmation and your completed application will be forwarded (with documentation) to the relevant committee.</p>
</div>

<p style="text-align: justify;"> </p>
]]></surveyls_welcometext>
    <surveyls_endtext><![CDATA[<p style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">Thank you for completing your application. You are able to print out/save a PDF output of your responses below and you will shortly receive an email summarising the outcome/decision. Please note that this option will not be available once you have navigated away from this page.</span></span></p>

<p style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">If you have any specific queries about the progress of your approval you should contact the appropriate committee contact:</span></span></p>

<ul>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">Animal Welfare Ethical Review Board: <a href="mailto:david.baird@ncl.ac.uk?subject=AWERB%20Ethics%20Query">cbc.awerb@ncl.ac.uk</a></span></span></li>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">School of Psychology Ethical Review Committee: <a href="mailto:psychrps@ncl.ac.uk?subject=School%20of%20Psychology%20Ethics%20Query">p</a><a href="mailto:psychethics@newcastle.ac.uk">sychethics@newcastle.ac.uk</a></span></span></li>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">Faculty of Medical Science Ethics Committee: <a href="mailto:fmsethics@ncl.ac.uk?subject=FMS%20Ethics%20Query">fmsethics@ncl.ac.uk</a></span></span></li>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">Faculty of Science, Agriculture & Engineering Ethics Committee: <a href="mailto:SAGE.ethics@ncl.ac.uk?subject=SAgE%20Ethics%20Query">SAGE.ethics@ncl.ac.uk</a></span></span></li>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">Faculty of Humanities & Social Sciences Ethics Committee: <a href="mailto:wendy.davison@ncl.ac.uk?subject=HASS%20Ethics%20Query">wendy.davison@ncl.ac.uk</a></span></span></li>
	<li style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">NHS - Newcastle upon Tyne Hospitals Foundation Trust R&D Office: <a href="mailto:nuth.genericqueries@nhs.net">nuth.genericqueries@nhs.net</a>. </span></span></li>
</ul>

<p style="text-align: justify;"><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;">For any general ethics support or if you have any comments about this form or ideas for future improvements then please contact: <a href="mailto:res.policy@ncl.ac.uk?subject=Combined%20Online%20Ethics%20From%3A%20Query%20%2F%20Comment">res.policy@ncl.ac.uk</a></span></span></p>

<p style="text-align: justify;"> </p>
]]></surveyls_endtext>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation to participate in a survey]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[<title></title>
<font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Dear {FIRSTNAME}, </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">you are invited to participate in a survey. </font><font style="vertical-align: inherit;">{TOKEN} </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">The survey is titled: </font></font></font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">"{SURVEYNAME}" </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">"{SURVEYDESCRIPTION}" </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">To participate, please click on the link below. </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Sincerely, </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{ADMINNAME} ({ADMINEMAIL}) </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">---------------------------------------- ------ </font></font></font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Click here to do the survey: </font></font></font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{} SURVEYURL </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">If you are not want to Participate in this survey and do not want recevoir Any more please: </font></font></font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{} OPTOUTURL </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">If you are blacklisted aim want to Participate in this survey and want to receive invitations please click on the following link: </font></font></font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{OPTINURL}</font></font></font></font>]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Reminder to participate in a survey]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[<title></title>
<span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Dear {FIRSTNAME}, </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Recently we invited you to participate in a survey. </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">We note that you have not yet completed the survey, and wish to remind you that the survey is still available should you wish to take part. </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">The survey is titled: </font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">"{SURVEYNAME}" </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">"{SURVEYDESCRIPTION}" </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">To participate, please click on the link below. </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Sincerely, </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{ADMINNAME} ({ADMINEMAIL}) </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">---------------------------------------- ------ </font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Click here to do the survey: </font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{SURVEYURL} </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">If you do not want to participate in this survey and do not want to receive any more please: </font></font><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{OPTOUTURL}</font></font></span>]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[On-line Ethics Form: Registration]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[<title></title>
<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Dear {FIRSTNAME}, </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">You have registered to complete the Newcastle University's Ethical Review Form online. </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">To complete this survey, click on the following URL: </font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{SURVEYURL}</font></font></span></p>

<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Please save this link if you want to complete the form of your visit.</font></font></span></p>

<p><br /><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">If you have any questions about this survey, please contact {ADMINEMAIL}.</font></font></span></p>
]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation of your participation in our survey]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[<title></title>
<p><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">TESTING - PLEASE IGNORE</font></font></p>

<p><em><strong><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">ID:  </font></font><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{SAVEDID}</font></font></span></span><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> / 2022</font></font></span></span></strong></em></p>

<p><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Thank you for submitting the ethical approval form for the project ' </font></font><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:</font></font></span></span></span></span><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487X2X6}</font></font></span></span><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> ' (Lead Investigator: </font></font><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:445487X1X2}</font></font></span><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> ). </font></font></span></span></span></p>

<p><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Expected to run from  </font></font><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:445487X2X3}</font></font></span></span><span class="apple-converted-space"> </span><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> to </font><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;">{INSERTANS:445487X2X4}.</font></span></span></font><span class="apple-converted-space"> </span></span></span><span style="font-family: Arial, sans-serif; font-size: 9pt;"><span class="ckelimereplacementfields"><span style="background: yellow;"><o:p></o:p></span></span></span></p>

<p><span style="font-size:14px;"><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6660} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6661} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6662} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6663} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6664} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6665} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6666} {INSERTANS:</font></font></span></span><span style="font-family: Arial, sans-serif;"><span class="ckelimereplacementfields"><span style="background: yellow;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">445487</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"> X540X6667}</font></font></span></span></span><span class="ckelimereplacementfields"><span style="background: yellow; font-family: Arial, sans-serif; font-size: 9pt;"><o:p></o:p></span></span></p>

<p><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Best wishes</font></font></span></span><span style="font-family: Arial, sans-serif; font-size: 9pt;"><o:p></o:p></span></p>

<p><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Research, Policy, Intelligence & Ethics Team<br /><strong>Newcastle University Research Office</strong></font></font></span></span><span style="font-family: Arial, sans-serif; font-size: 9pt;"><o:p></o:p></span></p>

<p><span style="font-size:14px;"><span style="font-family: Arial, sans-serif;"><a href="mailto:res.policy@ncl.ac.uk"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">res.policy@ncl.ac.uk</font></font></a></span></span><span style="font-family: Arial, sans-serif; font-size: 9pt;"><o:p></o:p></span></p>
]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[5]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[ Ethics Form Completed for Project: {INSERTANS:296746X923X11245} {INSERTANS:296746X922X11241}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[<title></title>
<div>
<p><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Ref: {SAVEDID}/2022</font></font></font></font></span></span></p>

<p><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Thank you for submitting the ethical approval form for the project '{INSERTANS:296746X923X11245}' (Lead Investigator: {INSERTANS:296746X922X11241}). Expected to run from {INSERTANS:296746X923X11260} to {INSERTANS:296746X923X11261}.</font></font></font></font></span></span></p>

<p><strong><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X941X11332} {INSERTANS:296746X941X11333} {INSERTANS:296746X941X11334} {INSERTANS:296746X941X11335} {INSERTANS:296746X941X11336} {INSERTANS:296746X941X11337} {INSERTANS:296746X941X11338} {INSERTANS:296746X941X11339}</font></font></font></font></span></span></strong></p>

<div style="background:#eeeeee;border:1px solid #cccccc;padding:5px 10px;"><span style="font-family:Arial,Helvetica,sans-serif;"><big><strong>In order to limit the spread of COVID-19, any research projects which include direct contact with human participants must adhere to local physical distancing guidelines and the restrictions imposed by the government of the country in which the research is being undertaken.</strong></big></span></div>

<p><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Best wishes</font></font></font></font></span></span></p>

<p><span style="font-size:14px;"><span style="font-family:Arial,Helvetica,sans-serif;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Research Policy Intelligence and Ethics Team, </font></font></font></font></span></span></p>

<p><span style="font-size:14px"><font style="vertical-align:inherit"><font style="vertical-align:inherit"><font style="vertical-align:inherit"><font style="vertical-align:inherit"><strong>Research Strategy & Development</strong></font></font></font></font><br /><a href="mailto:res.policy@ncl.ac.uk"><font style="vertical-align:inherit"><font style="vertical-align:inherit"><font style="vertical-align:inherit"><font style="vertical-align:inherit">res.policy@ncl.ac.uk</font></font></font></font></a></span></p>
</div>

<div>
<p> </p>
</div>

<p> </p>
]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Committee Approval Required for Project: {INSERTANS:296746X923X11245} {INSERTANS:296746X922X11241}]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[<title></title>
<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">A new full ethics application has just been submitted for the following project:</font></font></font></font></span></p>

<table border="1" cellpadding="0" cellspacing="1" style="width: 500px;" width="500">
	<tbody>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Project Title</font></font></font></font></span></strong></p>
			</td>
			<td>
			<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X923X11245}</font></font></font></font></span></p>
			</td>
		</tr>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Applicant Name:</font></font></font></font></span></strong></p>
			</td>
			<td>
			<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X922X11241}</font></font></font></font></span></p>
			</td>
		</tr>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Applicant email:</font></font></font></font></span></strong></p>
			</td>
			<td>
			<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X922X11258}</font></font></font></font></span></p>
			</td>
		</tr>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Academic Unit</font></font></font></font></span></strong></p>
			</td>
			<td>
			<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X922X11242}</font></font></font></font></span></p>
			</td>
		</tr>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Supervisor email (if applicable)</font></font></font></font></span></strong></p>
			</td>
			<td>
			<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X922X11259}</font></font></font></font></span></p>
			</td>
		</tr>
		<tr>
			<td>
			<p> </p>
			</td>
		</tr>
		<tr>
			<td>
			<p><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Start / End Date</font></font></font></font></span></strong></p>
			</td>
			<td><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{INSERTANS:296746X923X11260} - {INSERTANS:296746X923X11261}</font></font></font></font></span>
			<p> </p>
			</td>
		</tr>
		<tr>
			<td><strong><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Reference</font></font></font></font></span></strong></td>
			<td><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{SAVEDID}​​/2021</font></font></font></font></span></td>
		</tr>
	</tbody>
</table>

<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Please click the following link to access the application and any associated documents:</font></font></font></font></span></p>

<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">{VIEWRESPONSEURL} </font></font></font></font><br /><br /><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Best wishes</font></font></font></font></span></p>

<p><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">Research Policy Intelligence and Ethics Team</font></font></font></font></span><br /><span style="font-size:14px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><strong>Research Strategy & Development</strong></font></font></font></font><br /><a href="mailto:res.policy@ncl.ac.uk"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;">res.policy@ncl.ac.uk</font></font></font></font></a></span></p>
]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
    <attachments><![CDATA[a:0:{}]]></attachments>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>456163</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>inherit</ajaxmode>
     <brandlogo>inherit</brandlogo>
     <brandlogofile>../../../installations/2/ethicstest.limequery.com/userdata/upload/themes/survey/generalfiles/Newcastle.jpg</brandlogofile>
     <container>inherit</container>
     <backgroundimage>inherit</backgroundimage>
     <backgroundimagefile>inherit</backgroundimagefile>
     <animatebody>inherit</animatebody>
     <bodyanimation>inherit</bodyanimation>
     <bodyanimationduration>false</bodyanimationduration>
     <animatequestion>inherit</animatequestion>
     <questionanimation>inherit</questionanimation>
     <questionanimationduration>false</questionanimationduration>
     <animatealert>inherit</animatealert>
     <alertanimation>inherit</alertanimation>
     <alertanimationduration>false</alertanimationduration>
     <font>inherit</font>
     <bodybackgroundcolor>inherit</bodybackgroundcolor>
     <fontcolor>inherit</fontcolor>
     <questionbackgroundcolor>inherit</questionbackgroundcolor>
     <questionborder>inherit</questionborder>
     <questioncontainershadow>inherit</questioncontainershadow>
     <checkicon>inherit</checkicon>
     <animatecheckbox>inherit</animatecheckbox>
     <checkboxanimation>inherit</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>inherit</animateradio>
     <radioanimation>inherit</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <showpopups>inherit</showpopups>
     <zebrastriping>inherit</zebrastriping>
     <stickymatrixheaders>inherit</stickymatrixheaders>
     <greyoutselected>inherit</greyoutselected>
     <hideprivacyinfo>inherit</hideprivacyinfo>
     <crosshover>inherit</crosshover>
     <fixnumauto>inherit</fixnumauto>
    </options>
   </config>
  </theme>
  <theme>
   <sid>456163</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>456163</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <brandlogofile>../../../installations/2/ethicstest.limequery.com/userdata/upload/themes/survey/generalfiles/Newcastle.jpg</brandlogofile>
     <container>on</container>
     <backgroundimage>off</backgroundimage>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>false</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>false</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>false</alertanimationduration>
     <font>noto</font>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <showpopups>1</showpopups>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
  <theme>
   <sid>456163</sid>
   <template_name>vanilla</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <container>on</container>
     <brandlogofile>./files/logo.png</brandlogofile>
     <font>noto</font>
     <backgroundimage>off</backgroundimage>
     <backgroundimagefile>./files/pattern.png</backgroundimagefile>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <fixnumauto>off</fixnumauto>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
condition_bug.lss (52,208 bytes)   
DenisChenu

DenisChenu

2022-04-20 17:27

developer   ~69140

Seems OK with https://github.com/LimeSurvey/LimeSurvey/pull/2355
(again) i work on test, can be merged, i add test after.

Peek 20-04-2022 17-26.gif (1,740,858 bytes)
DenisChenu

DenisChenu

2022-04-25 16:26

developer   ~69220

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33424

c_schmitz

c_schmitz

2022-04-25 17:54

administrator   ~69224

Only close when already released.

LimeBot

LimeBot

2022-05-02 10:33

administrator   ~69332

Fixed in Release 5.3.12+220502

Related Changesets

LimeSurvey: master 52f0aeb5

2022-04-25 16:26:04

DenisChenu


Committer: GitHub Details Diff
Fixed issue 18035: Conditions does not work for all in one surveys (#2355) Affected Issues
18035
mod - application/helpers/expressions/em_manager_helper.php Diff File
add - tests/data/surveys/limesurvey_survey_allinoneCondition.lss Diff File
add - tests/data/surveys/limesurvey_survey_groupEMupdateAndGoodQID.lss Diff File
add - tests/functional/frontend/AllInOneConditionGroupTest.php Diff File
add - tests/functional/frontend/GroupExpressionUpdateGoodQidTest.php Diff File

Issue History

Date Modified Username Field Change
2022-04-14 12:16 galads New Issue
2022-04-14 12:16 galads Assigned To => gabrieljenik
2022-04-14 12:16 galads Status new => assigned
2022-04-14 12:17 galads Note Added: 69069
2022-04-14 12:17 galads Bug heat 0 => 2
2022-04-14 12:17 galads Priority none => urgent
2022-04-14 14:45 gabrieljenik Note Added: 69077
2022-04-14 14:45 gabrieljenik Bug heat 2 => 4
2022-04-14 14:48 gabrieljenik Note Edited: 69077
2022-04-14 14:48 gabrieljenik Note Added: 69078
2022-04-14 14:48 gabrieljenik File Added: limesurvey_survey_866163.lss
2022-04-14 18:33 gabrieljenik Note Added: 69080
2022-04-14 21:03 DenisChenu Note Added: 69087
2022-04-14 21:03 DenisChenu Bug heat 4 => 6
2022-04-14 21:04 DenisChenu Note Added: 69088
2022-04-15 00:09 DenisChenu Note Added: 69089
2022-04-15 00:09 DenisChenu File Added: Capture d’écran du 2022-04-15 00-05-13.png
2022-04-15 00:10 DenisChenu Note Added: 69090
2022-04-15 00:10 DenisChenu File Added: limesurvey_survey_866163-groupupdate.lss
2022-04-15 08:02 DenisChenu Note Added: 69091
2022-04-16 15:41 DenisChenu Note Added: 69099
2022-04-16 15:41 DenisChenu File Added: Capture d’écran du 2022-04-16 15-41-32.png
2022-04-16 15:54 DenisChenu Note Added: 69100
2022-04-16 15:54 DenisChenu File Added: Peek 16-04-2022 15-54.gif
2022-04-16 16:04 DenisChenu Note Added: 69101
2022-04-16 16:13 DenisChenu Assigned To gabrieljenik => DenisChenu
2022-04-16 16:13 DenisChenu Note Added: 69102
2022-04-18 16:06 gabrieljenik Note Added: 69104
2022-04-18 19:37 DenisChenu Note Added: 69105
2022-04-18 20:36 gabrieljenik Note Added: 69109
2022-04-18 23:51 DenisChenu Note Added: 69113
2022-04-19 13:41 gabrieljenik Note Added: 69121
2022-04-19 13:41 gabrieljenik Note Edited: 69121
2022-04-20 16:50 c_schmitz Note Added: 69139
2022-04-20 16:50 c_schmitz File Added: condition_bug.lss
2022-04-20 16:50 c_schmitz Bug heat 6 => 8
2022-04-20 16:50 c_schmitz Bug heat 8 => 14
2022-04-20 17:27 DenisChenu Note Added: 69140
2022-04-20 17:27 DenisChenu File Added: Peek 20-04-2022 17-26.gif
2022-04-20 19:50 DenisChenu Assigned To DenisChenu => c_schmitz
2022-04-20 19:50 DenisChenu Status assigned => ready for code review
2022-04-25 16:26 DenisChenu Changeset attached => LimeSurvey master 52f0aeb5
2022-04-25 16:26 DenisChenu Note Added: 69220
2022-04-25 16:26 DenisChenu Assigned To c_schmitz => DenisChenu
2022-04-25 16:26 DenisChenu Resolution open => fixed
2022-04-25 17:11 DenisChenu Status ready for code review => closed
2022-04-25 17:11 DenisChenu Fixed in Version => 5.3.x
2022-04-25 17:54 c_schmitz Status closed => resolved
2022-04-25 17:54 c_schmitz Note Added: 69224
2022-04-27 11:41 guest Bug heat 14 => 20
2022-05-02 10:33 LimeBot Note Added: 69332
2022-05-02 10:33 LimeBot Status resolved => closed
2022-05-02 10:33 LimeBot Bug heat 20 => 22